<?php 

declare(strict_types =1);

namespace MyApp\Entity;
use MyApp\Entity\etablissement;

class Facture{
    private ?int $id = null; // vide tant qu'il n'a pas récup de valeur de la BDD
    private string $adresse;
    private float $prix_total;
    private float $prix_ht;
    private string $mobilites_paiement;
    private string $date_facturation;
    private string $details_facturation;
    private $id_etablissement = null;


    public function __construct(?int $id, float $prix_total, float $prix_ht, string $adresse, string $mobilites_paiement, string $date_facturation, string $details_facturation,  $id_etablissement){
        $this->id = $id;
        $this->adresse = $adresse;
        $this->prix_total = $prix_total;
        $this->prix_ht = $prix_ht;
        $this->mobilites_paiement = $mobilites_paiement;
        $this->date_facturation = $date_facturation;
        $this->details_facturation = $details_facturation;
        $this->id_etablissement = $id_etablissement;


    }

    // get pour récuperer des données dans la BDD
    public function getId():?int{
        return $this->id;
    }
    public function setId(?int $id):void{
        $this->id = $id;
    }

    public function getAdresse():string{
        return $this->adresse;
    }
    public function setAdresse(string $adresse):void{
        $this->adresse = $adresse;
    }

    public function getPrix_total():float{
        return $this->prix_total;
    }
    public function setPrix_total(float $prix_total):void{
        $this->prix_total = $prix_total;
    }

    public function getPrix_ht():float{
        return $this->prix_ht;
    }
    public function setPrix_ht(float $prix_ht):void{
        $this->prix_ht = $prix_ht;
    }

    public function getMobilites_paiement():string{
        return $this->mobilites_paiement;
    }
    public function setMobilites_paiement(string $mobilites_paiement):void{
        $this->mobilites_paiement = $mobilites_paiement;
    }

    public function getDate_facturation():string{
        return $this->date_facturation;
    }
    public function setDate_facturation(string $date_facturation):void{
        $this->date_facturation = $date_facturation;
    }

    public function getDetails_facturation():string{
        return $this->details_facturation;
    }
    public function setDetails_facturation(string $details_facturation):void{
        $this->details_facturation = $details_facturation;
    }

    public function getId_etablissement(){
        return $this->id_etablissement;
    }
    public function setId_etablissement( $id_etablissement):void{
        $this->id_etablissement = $id_etablissement;
    }

}